Websites - Set Portal Data Model Version

Stamp data model version for website.

POST https://api.powerplatform.com/powerpages/environments/{environmentId}/websites/{id}/setPortalDataModelVersion?api-version=2024-10-01

URI Parameters

Name In Required Type Description
environmentId
path True

string

The environment ID.

id
path True

string

Website unique identifier (ID).

api-version
query True

string

The API version.

Request Body

Name Required Type Description
isNewDataModel True

boolean

Whether the portal uses the enhanced data model.

Responses

Name Type Description
200 OK

Success

400 Bad Request

ErrorMessage

Bad Request

401 Unauthorized

ErrorMessage

Unauthorized

404 Not Found

ErrorMessage

Not Found

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
Details
Error
ErrorMessage
PortalDataModelDto

Details

Name Type Description
code

string

Error code

message

string

Error message

target

string

Target parameter

Error

Name Type Description
code

string

Error code

details

Details[]

message

string

Error message

target

string

Target parameter

ErrorMessage

Name Type Description
error

Error

PortalDataModelDto

Name Type Description
isNewDataModel

boolean

Whether the portal uses the enhanced data model.